net.corda.node.services.messaging

## Class ArtemisMessagingComponent.ServiceAddress

- net.corda.node.services.messaging.ArtemisMessagingComponent.ServiceAddress

- All Implemented Interfaces:
    ArtemisMessagingComponent.ArtemisAddress, MessageRecipientGroup, MessageRecipients
  Enclosing class:
    ArtemisMessagingComponent

      public static class ArtemisMessagingComponent.ServiceAddress
      implements ArtemisMessagingComponent.ArtemisAddress, MessageRecipientGroup

  `class ArtemisMessagingComponent.ServiceAddress` implements `interface MessageRecipientGroup`. It holds a queue associated with a service advertised by zero or more nodes. Each advertising node has an associated consumer.

  By sending to such an address Artemis will pick a consumer (uses Round Robin by default) and sends the message there. We use this to establish sessions involving service counterparties.

  See Also:
    `class ArtemisMessagingComponent.ServiceAddress`, `interface MessageRecipientGroup`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceAddress(CompositeKey identity)` `class ArtemisMessagingComponent.ServiceAddress` implements `interface MessageRecipientGroup`. It holds a queue associated with a service advertised by zero or more nodes. Each advertising node has an associated consumer.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompositeKey` | `component1()`
    `ArtemisMessagingComponent.ServiceAddress` | `copy(CompositeKey identity)` `class ArtemisMessagingComponent.ServiceAddress` implements `interface MessageRecipientGroup`. It holds a queue associated with a service advertised by zero or more nodes. Each advertising node has an associated consumer.
    `boolean` | `equals(java.lang.Object p)`
    `CompositeKey` | `getIdentity()`
    `java.lang.String` | `getQueueName()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from interface net.corda.node.services.messaging.ArtemisMessagingComponent.ArtemisAddress

      `getQueueName`

- - ### Constructor Detail

    - #### ServiceAddress

          public ServiceAddress(CompositeKey identity)

      `class ArtemisMessagingComponent.ServiceAddress` implements `interface MessageRecipientGroup`. It holds a queue associated with a service advertised by zero or more nodes. Each advertising node has an associated consumer.

      By sending to such an address Artemis will pick a consumer (uses Round Robin by default) and sends the message there. We use this to establish sessions involving service counterparties.

      Parameters:
        `identity` - The service identity's owning key.
      See Also:
        `class ArtemisMessagingComponent.ServiceAddress`, `interface MessageRecipientGroup`

  - ### Method Detail

    - #### getQueueName

          public java.lang.String getQueueName()

    - #### getIdentity

          public CompositeKey getIdentity()

    - #### component1

          public CompositeKey component1()

    - #### copy

          public ArtemisMessagingComponent.ServiceAddress copy(CompositeKey identity)

      `class ArtemisMessagingComponent.ServiceAddress` implements `interface MessageRecipientGroup`. It holds a queue associated with a service advertised by zero or more nodes. Each advertising node has an associated consumer.

      By sending to such an address Artemis will pick a consumer (uses Round Robin by default) and sends the message there. We use this to establish sessions involving service counterparties.

      Parameters:
        `identity` - The service identity's owning key.
      See Also:
        `class ArtemisMessagingComponent.ServiceAddress`, `interface MessageRecipientGroup`

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)